Refresh Cash Flow Curves

POST /ws/rest/service/v1/cashflow/prop/refresh/{project_number}

Purpose

Refresh selected cash flow properties.

The input JSON shall provide various options to be considered for refreshing Curves.

Request Format

All parameters should be URL encoded.

project_number: Specify the Project number in which the curve exists.

POST body is a JSON

Note:

POST call has input & output both as JSON in the body.

{

"options":{

"property_name": "CBS CF"

}

}

Request Parameters for Options

The following parameters can be included in the options {} of the request:

  • "property_name": The name of the property.
  • "rollup_status": Valid values include: Active, and Inactive.
  • "detail_level": Valid values include: Summary CBS, CBS, Project / Shell, or Commitment.
  • "summary_cbs_level": Valid values include: 1, 2, or 3.
  • "include_curves":Valid values include: Yes(default), and No.

Any other values for the above parameters displays an error message in the response of the request.

Response Format

A JSON object is returned in the following format.

{

"data": [],

"message": [],

"status": <REST status code value>

}

A successful response displays a status code 200.

A failed response displays a message with a status code.

Sample Success Response

This is an example of a response with status code 200.

{

"data": [

{

"id": 13,

"name": "Project CF",

"_record_status": "SUCCESS"

},

{

"id": 14,

"name": "Project CF FP",

"_record_status": "SUCCESS"

},

{

"id": 15,

"name": "xyz",

"_record_status": "SUCCESS"

}

],

"message": ["success"],

"status": 200

}